Subject: bug#16470: 24.3.50; term mode and newlines with some window configurations

From: martin rudalics <[email-masked]>
Date: Fri, 17 Jan 2014 20:06:10 +0100

> On Mac OS 10.9.1, I have two different numbers for identically-sized frames,
 > with windows in each equalized using M-x balance-windows. 70 in Emacs 24.3 and
 > 71 in Emacs 24.4. It looks like a problem with the window-width function. Take a
 > look at the attached screenshot: it shows the different return values, but it
 > also shows that both windows wrap the new line at the 70th character.
 >
 > So I guess term.el has nothing to do with this, it just happens to react
 > particularly badly to the incorrect value returned from window-width. I wonder
 > if this happened because of the change in using the Core text font renderer on OS X.

I suppose it is a rounding issue.  Does it happen only in the right-most
window?

Anyway, please tell me the following values after balancing:

(frame-width) (frame-text-width)

and for each of your three windows

(window-width) (window-total-width) (window-pixel-width)

Thanks, martin